Debian Bug report logs - #319419
ITP: doomsday -- improved engine to play doom, doom2, heretic and hexen

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexander Fieroch <fieroch@web.de>

Date: Thu, 21 Jul 2005 23:04:18 UTC

Owned by: Alexander Fieroch <fieroch@web.de>

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#319419; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexander Fieroch <fieroch@web.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Fieroch <fieroch@web.de>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: doomsday - greatly improved engine to play doom, doom2, heretic and hexen
Date: Fri, 22 Jul 2005 00:20:45 +0200
Package: wnpp
Severity: wishlist

URL: http://www.doomsdayhq.com/index.php
License: GPL (see http://sourceforge.net/projects/deng)

Description:

About The Doomsday Engine
The Doomsday Engine is an enhanced and extended version of DOOM, 
Heretic, and Hexen. It was originally based on the Hexen source code but 
parts of it have later been completely rewritten. Doomsday is only an 
engine; you will need a Game DLL if you want to play anything. Three 
such DLLs are being developed alongside the engine: jDoom, jHeretic and 
jHexen.

Doomsday features:

    * Runs in Windows, Mac OS X, and Linux.
    * Supports OpenGL and Direct3D for crisp, hardware accelerated 
graphics.
    * 3D models (Quake's MD2 format) can be used instead of sprites.
    * Object and camera movement smoothing.
    * Simple shadows for objects.
    * Dynamic light effects and lens flares.
    * Particle effects.
    * 3D sound effects with DirectSound3D and EAX 2.0 or A3D 3.0. Also 
supports EAX's and A3D's environmental sound effects.
    * High-resolution textures (PNG, TGA, PCX) and detail textures.
    * 16-player client/server networking via TCP/IP, IPX, modem and 
serial link.
    * Easy to use Control Panel for configuration, accessed quickly 
with Shift-Esc.
    * Console for modifying settings and giving commands.
    * Utilizes FMOD to play a wide variety of music files, for example 
MP3, MOD and IT.
    * Uses plain text definition files for some game data such as thing 
types and states, sound and music information, level configuration (sky, 
fog, gravity) and text strings.


Additional to that engine the new free high resolution textures and high 
quality music is a must have (http://www.doomsdayhq.com/files.php?class=4)!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#319419; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jamie Jones <jamie_jones_au@yahoo.com.au>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 319419@bugs.debian.org (full text, mbox):

From: Jamie Jones <jamie_jones_au@yahoo.com.au>
To: fieroch@web.de, 319419@bugs.debian.org
Cc: jamie_jones_au@yahoo.com.au
Subject: ITP: doomsday
Date: Sat, 23 Jul 2005 00:55:06 +1000
[Message part 1 (text/plain, inline)]
G'day,

I noticed that you filed an ITP on doomsday. I'd like to introduce
myself, My name is Jamie, and I've been the unofficial Debian/Ubuntu
package maintainer for doomsday for some time, you can find me listed in
the wiki http://deng.sourceforge.net/dew/Engine/InstallUpgrade and in
the official forums under the username Yagisan.

Currently doomsday fails the DFSG test which is why I have not
officially moved it into the Debian archive yet.

I have current packages of the engine and all jpacks available or
building right now. It currently is not 64bit clean either. You can
access my packages as the finish building at my private webspace here
http://eyagi.bpa.nu/~jamie/

Regards
Jamie
-- 
GPG/PGP signed mail preferred. No HTML mail. No MS Word attachments
PGP Key ID 0x4B6E7209
Fingerprint E1FD 9D7E 6BB4 1BD4 AEB9 3091 0027 CEFA 4B6E 7209
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Marcela Tiznado <mtiznado@linux.org.ar> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#319419; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 319419@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 319419@bugs.debian.org
Subject: CVE-2006-1618: Format string vulnerability
Date: Tue, 18 Apr 2006 21:39:31 +0200
Please make sure that any version of doomsday uploaded into the Debian 
archive is not vulnerable to CVE-2006-1618. Thanks.


http://www.securityfocus.com/bid/17369



Owner recorded as Alexander Fieroch <fieroch@web.de>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alexander Fieroch <fieroch@web.de>:
Bug#319419; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon@alcopop.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alexander Fieroch <fieroch@web.de>. Full text and rfc822 format available.

Message #24 received at 319419@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon@alcopop.org>
To: 319419@bugs.debian.org
Subject: ping doomsday ITP
Date: Tue, 12 Sep 2006 19:45:33 +0100
[Message part 1 (text/plain, inline)]
Hi, do you still intend to package doomsday? I'd strongly
discourage you to do so, or encourage you to work with Jamie
Jones, who (as previously mentioned) already packages this
game. There are DFSG issues to be discussed.


-- 
Jon Dowland
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Alexander Fieroch <fieroch@web.de>:
Bug#319419; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jamie Jones <jamie_jones_au@yahoo.com.au>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Alexander Fieroch <fieroch@web.de>. Full text and rfc822 format available.

Message #29 received at 319419@bugs.debian.org (full text, mbox):

From: Jamie Jones <jamie_jones_au@yahoo.com.au>
To: Jon Dowland <jon@alcopop.org>, 319419@bugs.debian.org
Subject: Re: Bug#319419: ping doomsday ITP
Date: Thu, 14 Sep 2006 00:22:15 +1000
[Message part 1 (text/plain, inline)]
On Tue, 2006-09-12 at 19:45 +0100, Jon Dowland wrote:
> Hi, do you still intend to package doomsday? I'd strongly
> discourage you to do so, or encourage you to work with Jamie
> Jones, who (as previously mentioned) already packages this
> game. There are DFSG issues to be discussed.
> 
> 

I certainly wouldn't mind some help. As Jon mentions there are some DFSG
issues. I'm now an upstream and am resolving them as best I can, while
providing my packages.

In a nutshell these are the issues that it faces, so you know what I
could use a hand with.

* DFSG issues with the jHeretic plugin (almost finished reimplementing
this, so it should be resolved upstream soon)
* DFSG issues with the jHexen plugin (This is a bit more involved work
for reimplementation)
* It is not 64bit clean. We could use a hand with that.
* Freedoom is not supported. We do not support enough Boom/MBF features
yet to run this excellent free iwad.
* We need to be able to use an external glbsp, if available, otherwise
fall back to the internal version.
* Packaging need to be re-worked. It should look like this:
deng-dev (for building plugins)
deng (the engine)
deng-plugin-jdoom (GPL plugin)
deng-plugin-jheretic (Not DFSG Free - should be in a 3rd party repo)
deng-plugin-jhexen (Not DFSG Free - should be in a 3rd party repo)
There will be other plugins that are not listed.
* It should be a smooth upgrade from the existing 3rd party repository
* It needs the snowberry launcher (python/wxwidgets) to be packaged.


I currently have no plans to submit an ITP on this while resolving the
DFSG issues if I am the sole maintainer. I would submit the ITP after
the DFSG issues are resolved, or if anyone would like to co-maintain it
with me.

Any questions, please reply, or ping me in #doomsday on irc.freenode.net

Regards,
Yagisan
-- 
Jamie Jones
Proprietor
E-Yagi Consulting
ABN: 32 138 593 410
Mob: +61 4 16 025 081
Email: eyagi.consulting@gmail.com
Web: http://www.eyagiconsulting.com

GPG/PGP signed mail preferred. No HTML mail. No MS Word attachments
PGP Key ID 0x4B6E7209
Fingerprint E1FD 9D7E 6BB4 1BD4 AEB9 3091 0027 CEFA 4B6E 7209
[signature.asc (application/pgp-signature, inline)]

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexander Fieroch <fieroch@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 319419-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 319419-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 16 Sep 2007 11:59:35 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 319419
 stop

Further comments on the work done in the bug sent to
319419@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Oct 2007 07:37:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:25:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.